.admin-bar{
	
}

body.search-toggled, body.search-results, body.blog, body.author, body.term-infographie, body article.genre-infographie{
	.main-navigation{
		color: black;

		&:after{
			background: linear-gradient( rgba(255,255,255,.65), rgba(0, 0, 0, 0));
		}


	}
}
.main-navigation{
	color: white;
	height: 0;
	padding: 0;
	position: absolute !important;
	z-index: $zindex-navbar;
	.icon{
		line-height: 1.5;
		font-size: 1.1rem;
		display: block;
		&.icon-dots{
			font-size: 1.8rem;
			margin-top: -3px;
		}
		&:before{

			padding-top: 4px;
		}
	}

	.site-logo{
		padding: 5px 10px;
		width: 120px;
	}
	&:after{
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		height: 50px;
		content: "";
		display: block;
		//background: linear-gradient( rgba(0,0,0,.45), rgba(0, 0, 0, 0)); //rgba(0,0,0,.45);

		z-index: -1;
	}

	.btn-toggler-container{
		position:absolute;
		right:0px;
		top:0px;
		padding: 0px;
		display: flex;

		> li {
			cursor: pointer;
			display: inline-block;
			position: relative;
			font-size: 	1.7rem;
			text-align: center;
			padding: 2px;
			margin: 10px;
			position: relative;


			& +li:before{
				content: "|";
				display: block;
				position: absolute;
				left: -12px;
				line-height: 26px;
			}
			&.main-menu-toggler{
				z-index: 10000;
			}

		}
	}
	> .nav-screen{
		transition: all .3s ease-in-out;
		color: $gray-dark;
		position: fixed;
		top: 0;
		overflow-x: hidden;
		bottom: 0 !important;
		right: 0;
		max-width: 100%;
		&.collapse{
			width: 400px;
			background-color: $white;
		}
		&.collapsing{
			width: 0px;
			height: 100%;
			&.in{
				width: 400px;
			}
		}

		.nav-menu-container{
            //transform: translateX(400px);
            transition: all .7s ease-in-out;
            margin-top: 35px;
            padding: 35px;
            text-transform: uppercase;
            font-weight: 600;
            line-height: 1;
            .nav-link{
            	padding:0;
            }
        }

        &.collapse.in{
        	width: 400px;
        	overflow-y: auto;
        	.nav-menu-container{
                //transform: translateX(0px);
                opacity: 1;
            }
        }
    }

}

.navbar-brand{
	width:100px;
	img{
		max-width: 100%;
		height: auto;
	}
}

.site{
	transition:all .5s ease-in-out;
}

.main-navigation{
	&:before{
		content:"";
		display: block;
		position:fixed;
		height: 0px;
		top:0;
		right: 0;
		
		left:0;
		background-color:black;
		opacity: 0;
		transition: opacity .5s ease-in-out;
		transition-delay: .2s;
	}
	&.expanded:before{
		opacity: 0.7;
		height: 100%;
	}
}

.main-navigation.expanded + .site{
	-webkit-transform: translateX(-400px);
	-moz-transform: translateX(-400px);
	-ms-transform: translateX(-400px);
	-o-transform: translateX(-400px);
	transform: translateX(-400px);
	filter:blur(2px);
}

.main-navigation .navbar-nav li{
	font-size:1.5rem;
	line-height:1.3;
	font-family: $font-family-sans-serif;
	&.seperator{
		font-style: italic;

		font-size: 1rem;
		margin-top:15px;
		margin-bottom:5px;
		color:$gray;
		position:relative;
		a{
			transition: all .3s ease-in-out;
			background-color:$white;
			position:relative;
			z-index: 1;
			padding-right: 10px;
			display: inline;
		}
		&:before{
			content:"";
			border-bottom:1px solid $gray-light;
			position:absolute;
			top:50%;
			left: 50px;
			right: -30px;
			display: block;
			z-index: 0;
		}
	}
}
.nav-menu-secondary{
	position: absolute;
	bottom: 10px;
	text-align: center;
	width: 100%;
	right: 0;
	ul.menu-secondary{
		border-top: 1px solid $gray-dark;
		.nav-link{
			display: inline;
		}
		li{
			margin: 0;
			@extend .list-inline-item;
			font-size: 0.8rem !important;
			& + li:before{
				display: inline;
				content: '|';
			}
		}
	}
}